Skip to Content
REST APIRepositories

Repositories

Last updated: May 29, 2026


GET /repos

Lists all repositories.

Sample Request

curl --request GET \ --header "X-API-KEY: your_api_key" \ --header "Accept: application/json" \ --header "Content-type: application/json" \ "https://xltrail.yourcompany.com/api/repos"

Sample Response

[ { "id": "62ab6fb3-a152-44bd-b566-59acce5eff24", "name": "Accounting", "full_name": "Accounting", "url": null, "created_at": "2024-03-14T13:52:56.866088+00:00" }, { "id": "0500a155-d85a-4eae-a45e-5ec4087b4b43", "name": "salesplan", "full_name": "github.com/fzumstein/salesplan.git", "url": "https://github.com/fzumstein/salesplan.git", "created_at": "2024-03-14T13:52:16.272240+00:00" } ]

POST /repos

Create a new repository.

Sample Request (Drag and drop)

curl --request POST \ --header "X-API-KEY: your_api_key" \ --header "Accept: application/json" \ --header "Content-type: application/json" \ --data '{"name": "Accounting"}' \ "https://xltrail.yourcompany.com/api/repos"

Sample Response (Drag and drop)

{ "id": "62ab6fb3-a152-44bd-b566-59acce5eff24", "name": "Accounting", "full_name": "Accounting", "url": null, "created_at": "2024-03-14T13:52:56.866088+00:00" }

Sample Request (external Git repo)

curl --request POST \ --header "X-API-KEY: your_api_key" \ --header "Accept: application/json" \ --header "Content-type: application/json" \ --data '{"url": "https://github.com/fzumstein/salesplan.git", "username": "...", "password": "..."}' \ "https://xltrail.yourcompany.com/api/repos"

Sample Response (external Git repo)

{ "id": "0500a155-d85a-4eae-a45e-5ec4087b4b43", "name": "salesplan", "full_name": "github.com/fzumstein/salesplan.git", "url": "https://github.com/fzumstein/salesplan.git", "created_at": "2024-03-14T13:52:16.272240+00:00" }
Last updated on